package com.cretin.entity.exam;

import java.util.List;

public class ExamItem1 {

    private int code;
    private List<DataDTO> data;
    private String jsessionid;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    public String getJsessionid() {
        return jsessionid;
    }

    public void setJsessionid(String jsessionid) {
        this.jsessionid = jsessionid;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataDTO {
        private String create_by;
        private String creator_name;
        private String update_by;
        private String update_name;
        private double final_score;
        private int credit_point;
        private int integral_point;
        private boolean on_schedule;
        private boolean is_elective;
        private boolean free_join_elective;
        private String train_time_range;
        private boolean is_recommend;
        private int recommend_order;
        private boolean is_published;
        private int days_limit;
        private boolean open_extranet;
        private int secret_level;
        private boolean open_enrolled;
        private boolean need_approval;
        private boolean in_all_group;
        private int enroll_surplus_seconds;
        private String enroll_time_range;
        private int enroll_fee;
        private int enroll_grade_value;
        private int enroll_min_users;
        private int enroll_max_users;
        private int enroll_leave_users;
        private boolean site_owner;
        private String creator_role;
        private String approve_status_id;
        private double class_hour;
        private double teacher_grade;
        private double course_grade;
        private boolean has_graduate_exam;
        private boolean is_send_letter;
        private boolean is_learn_expired;
        private boolean is_finish;
        private boolean recommendedToSite;
        private boolean show_extranet;
        private boolean enable_watermark;
        private int module_count;
        private int course_count;
        private int exam_count;
        private int total;
        private int register_count;
        private boolean collected;
        private boolean try_look;
        private boolean registered;
        private boolean learned;
        private boolean allow_cancel_enroll;
        private boolean allow_operate;
        private boolean class_course_is_published;
        private boolean class_course_is_required;
        private String class_activity_type;
        private List<?> activityList;
        private String class_activity_type_name;
        private String activity_phase_id;
        private boolean complete_flag;
        private boolean comment_flag;
        private int not_remind_question_count;
        private String id;
        private String create_time;
        private String update_time;
        private String activity_type;
        private String activity_subtype;
        private String activity_name;
        private String activity_cover;
        private String visible_range;
        private String org_id;
        private String org_full_path;
        private String org_name;
        private String dic_learning_mode;
        private String publish_time;
        private String publish_user_id;
        private String publish_user_name;
        private String dic_learn_period;
        private List<CatalogsDTO> catalogs;
        private List<TeachersDTO> teachers;
        private ActivityRegisterDTO activityRegister;

        public String getCreate_by() {
            return create_by;
        }

        public void setCreate_by(String create_by) {
            this.create_by = create_by;
        }

        public String getCreator_name() {
            return creator_name;
        }

        public void setCreator_name(String creator_name) {
            this.creator_name = creator_name;
        }

        public String getUpdate_by() {
            return update_by;
        }

        public void setUpdate_by(String update_by) {
            this.update_by = update_by;
        }

        public String getUpdate_name() {
            return update_name;
        }

        public void setUpdate_name(String update_name) {
            this.update_name = update_name;
        }

        public double getFinal_score() {
            return final_score;
        }

        public void setFinal_score(double final_score) {
            this.final_score = final_score;
        }

        public int getCredit_point() {
            return credit_point;
        }

        public void setCredit_point(int credit_point) {
            this.credit_point = credit_point;
        }

        public int getIntegral_point() {
            return integral_point;
        }

        public void setIntegral_point(int integral_point) {
            this.integral_point = integral_point;
        }

        public boolean isOn_schedule() {
            return on_schedule;
        }

        public void setOn_schedule(boolean on_schedule) {
            this.on_schedule = on_schedule;
        }

        public boolean isIs_elective() {
            return is_elective;
        }

        public void setIs_elective(boolean is_elective) {
            this.is_elective = is_elective;
        }

        public boolean isFree_join_elective() {
            return free_join_elective;
        }

        public void setFree_join_elective(boolean free_join_elective) {
            this.free_join_elective = free_join_elective;
        }

        public String getTrain_time_range() {
            return train_time_range;
        }

        public void setTrain_time_range(String train_time_range) {
            this.train_time_range = train_time_range;
        }

        public boolean isIs_recommend() {
            return is_recommend;
        }

        public void setIs_recommend(boolean is_recommend) {
            this.is_recommend = is_recommend;
        }

        public int getRecommend_order() {
            return recommend_order;
        }

        public void setRecommend_order(int recommend_order) {
            this.recommend_order = recommend_order;
        }

        public boolean isIs_published() {
            return is_published;
        }

        public void setIs_published(boolean is_published) {
            this.is_published = is_published;
        }

        public int getDays_limit() {
            return days_limit;
        }

        public void setDays_limit(int days_limit) {
            this.days_limit = days_limit;
        }

        public boolean isOpen_extranet() {
            return open_extranet;
        }

        public void setOpen_extranet(boolean open_extranet) {
            this.open_extranet = open_extranet;
        }

        public int getSecret_level() {
            return secret_level;
        }

        public void setSecret_level(int secret_level) {
            this.secret_level = secret_level;
        }

        public boolean isOpen_enrolled() {
            return open_enrolled;
        }

        public void setOpen_enrolled(boolean open_enrolled) {
            this.open_enrolled = open_enrolled;
        }

        public boolean isNeed_approval() {
            return need_approval;
        }

        public void setNeed_approval(boolean need_approval) {
            this.need_approval = need_approval;
        }

        public boolean isIn_all_group() {
            return in_all_group;
        }

        public void setIn_all_group(boolean in_all_group) {
            this.in_all_group = in_all_group;
        }

        public int getEnroll_surplus_seconds() {
            return enroll_surplus_seconds;
        }

        public void setEnroll_surplus_seconds(int enroll_surplus_seconds) {
            this.enroll_surplus_seconds = enroll_surplus_seconds;
        }

        public String getEnroll_time_range() {
            return enroll_time_range;
        }

        public void setEnroll_time_range(String enroll_time_range) {
            this.enroll_time_range = enroll_time_range;
        }

        public int getEnroll_fee() {
            return enroll_fee;
        }

        public void setEnroll_fee(int enroll_fee) {
            this.enroll_fee = enroll_fee;
        }

        public int getEnroll_grade_value() {
            return enroll_grade_value;
        }

        public void setEnroll_grade_value(int enroll_grade_value) {
            this.enroll_grade_value = enroll_grade_value;
        }

        public int getEnroll_min_users() {
            return enroll_min_users;
        }

        public void setEnroll_min_users(int enroll_min_users) {
            this.enroll_min_users = enroll_min_users;
        }

        public int getEnroll_max_users() {
            return enroll_max_users;
        }

        public void setEnroll_max_users(int enroll_max_users) {
            this.enroll_max_users = enroll_max_users;
        }

        public int getEnroll_leave_users() {
            return enroll_leave_users;
        }

        public void setEnroll_leave_users(int enroll_leave_users) {
            this.enroll_leave_users = enroll_leave_users;
        }

        public boolean isSite_owner() {
            return site_owner;
        }

        public void setSite_owner(boolean site_owner) {
            this.site_owner = site_owner;
        }

        public String getCreator_role() {
            return creator_role;
        }

        public void setCreator_role(String creator_role) {
            this.creator_role = creator_role;
        }

        public String getApprove_status_id() {
            return approve_status_id;
        }

        public void setApprove_status_id(String approve_status_id) {
            this.approve_status_id = approve_status_id;
        }

        public double getClass_hour() {
            return class_hour;
        }

        public void setClass_hour(double class_hour) {
            this.class_hour = class_hour;
        }

        public double getTeacher_grade() {
            return teacher_grade;
        }

        public void setTeacher_grade(double teacher_grade) {
            this.teacher_grade = teacher_grade;
        }

        public double getCourse_grade() {
            return course_grade;
        }

        public void setCourse_grade(double course_grade) {
            this.course_grade = course_grade;
        }

        public boolean isHas_graduate_exam() {
            return has_graduate_exam;
        }

        public void setHas_graduate_exam(boolean has_graduate_exam) {
            this.has_graduate_exam = has_graduate_exam;
        }

        public boolean isIs_send_letter() {
            return is_send_letter;
        }

        public void setIs_send_letter(boolean is_send_letter) {
            this.is_send_letter = is_send_letter;
        }

        public boolean isIs_learn_expired() {
            return is_learn_expired;
        }

        public void setIs_learn_expired(boolean is_learn_expired) {
            this.is_learn_expired = is_learn_expired;
        }

        public boolean isIs_finish() {
            return is_finish;
        }

        public void setIs_finish(boolean is_finish) {
            this.is_finish = is_finish;
        }

        public boolean isRecommendedToSite() {
            return recommendedToSite;
        }

        public void setRecommendedToSite(boolean recommendedToSite) {
            this.recommendedToSite = recommendedToSite;
        }

        public boolean isShow_extranet() {
            return show_extranet;
        }

        public void setShow_extranet(boolean show_extranet) {
            this.show_extranet = show_extranet;
        }

        public boolean isEnable_watermark() {
            return enable_watermark;
        }

        public void setEnable_watermark(boolean enable_watermark) {
            this.enable_watermark = enable_watermark;
        }

        public int getModule_count() {
            return module_count;
        }

        public void setModule_count(int module_count) {
            this.module_count = module_count;
        }

        public int getCourse_count() {
            return course_count;
        }

        public void setCourse_count(int course_count) {
            this.course_count = course_count;
        }

        public int getExam_count() {
            return exam_count;
        }

        public void setExam_count(int exam_count) {
            this.exam_count = exam_count;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getRegister_count() {
            return register_count;
        }

        public void setRegister_count(int register_count) {
            this.register_count = register_count;
        }

        public boolean isCollected() {
            return collected;
        }

        public void setCollected(boolean collected) {
            this.collected = collected;
        }

        public boolean isTry_look() {
            return try_look;
        }

        public void setTry_look(boolean try_look) {
            this.try_look = try_look;
        }

        public boolean isRegistered() {
            return registered;
        }

        public void setRegistered(boolean registered) {
            this.registered = registered;
        }

        public boolean isLearned() {
            return learned;
        }

        public void setLearned(boolean learned) {
            this.learned = learned;
        }

        public boolean isAllow_cancel_enroll() {
            return allow_cancel_enroll;
        }

        public void setAllow_cancel_enroll(boolean allow_cancel_enroll) {
            this.allow_cancel_enroll = allow_cancel_enroll;
        }

        public boolean isAllow_operate() {
            return allow_operate;
        }

        public void setAllow_operate(boolean allow_operate) {
            this.allow_operate = allow_operate;
        }

        public boolean isClass_course_is_published() {
            return class_course_is_published;
        }

        public void setClass_course_is_published(boolean class_course_is_published) {
            this.class_course_is_published = class_course_is_published;
        }

        public boolean isClass_course_is_required() {
            return class_course_is_required;
        }

        public void setClass_course_is_required(boolean class_course_is_required) {
            this.class_course_is_required = class_course_is_required;
        }

        public String getClass_activity_type() {
            return class_activity_type;
        }

        public void setClass_activity_type(String class_activity_type) {
            this.class_activity_type = class_activity_type;
        }

        public List<?> getActivityList() {
            return activityList;
        }

        public void setActivityList(List<?> activityList) {
            this.activityList = activityList;
        }

        public String getClass_activity_type_name() {
            return class_activity_type_name;
        }

        public void setClass_activity_type_name(String class_activity_type_name) {
            this.class_activity_type_name = class_activity_type_name;
        }

        public String getActivity_phase_id() {
            return activity_phase_id;
        }

        public void setActivity_phase_id(String activity_phase_id) {
            this.activity_phase_id = activity_phase_id;
        }

        public boolean isComplete_flag() {
            return complete_flag;
        }

        public void setComplete_flag(boolean complete_flag) {
            this.complete_flag = complete_flag;
        }

        public boolean isComment_flag() {
            return comment_flag;
        }

        public void setComment_flag(boolean comment_flag) {
            this.comment_flag = comment_flag;
        }

        public int getNot_remind_question_count() {
            return not_remind_question_count;
        }

        public void setNot_remind_question_count(int not_remind_question_count) {
            this.not_remind_question_count = not_remind_question_count;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreate_time() {
            return create_time;
        }

        public void setCreate_time(String create_time) {
            this.create_time = create_time;
        }

        public String getUpdate_time() {
            return update_time;
        }

        public void setUpdate_time(String update_time) {
            this.update_time = update_time;
        }

        public String getActivity_type() {
            return activity_type;
        }

        public void setActivity_type(String activity_type) {
            this.activity_type = activity_type;
        }

        public String getActivity_subtype() {
            return activity_subtype;
        }

        public void setActivity_subtype(String activity_subtype) {
            this.activity_subtype = activity_subtype;
        }

        public String getActivity_name() {
            return activity_name;
        }

        public void setActivity_name(String activity_name) {
            this.activity_name = activity_name;
        }

        public String getActivity_cover() {
            return activity_cover;
        }

        public void setActivity_cover(String activity_cover) {
            this.activity_cover = activity_cover;
        }

        public String getVisible_range() {
            return visible_range;
        }

        public void setVisible_range(String visible_range) {
            this.visible_range = visible_range;
        }

        public String getOrg_id() {
            return org_id;
        }

        public void setOrg_id(String org_id) {
            this.org_id = org_id;
        }

        public String getOrg_full_path() {
            return org_full_path;
        }

        public void setOrg_full_path(String org_full_path) {
            this.org_full_path = org_full_path;
        }

        public String getOrg_name() {
            return org_name;
        }

        public void setOrg_name(String org_name) {
            this.org_name = org_name;
        }

        public String getDic_learning_mode() {
            return dic_learning_mode;
        }

        public void setDic_learning_mode(String dic_learning_mode) {
            this.dic_learning_mode = dic_learning_mode;
        }

        public String getPublish_time() {
            return publish_time;
        }

        public void setPublish_time(String publish_time) {
            this.publish_time = publish_time;
        }

        public String getPublish_user_id() {
            return publish_user_id;
        }

        public void setPublish_user_id(String publish_user_id) {
            this.publish_user_id = publish_user_id;
        }

        public String getPublish_user_name() {
            return publish_user_name;
        }

        public void setPublish_user_name(String publish_user_name) {
            this.publish_user_name = publish_user_name;
        }

        public String getDic_learn_period() {
            return dic_learn_period;
        }

        public void setDic_learn_period(String dic_learn_period) {
            this.dic_learn_period = dic_learn_period;
        }

        public List<CatalogsDTO> getCatalogs() {
            return catalogs;
        }

        public void setCatalogs(List<CatalogsDTO> catalogs) {
            this.catalogs = catalogs;
        }

        public List<TeachersDTO> getTeachers() {
            return teachers;
        }

        public void setTeachers(List<TeachersDTO> teachers) {
            this.teachers = teachers;
        }

        public ActivityRegisterDTO getActivityRegister() {
            return activityRegister;
        }

        public void setActivityRegister(ActivityRegisterDTO activityRegister) {
            this.activityRegister = activityRegister;
        }

        public static class ActivityRegisterDTO {
            private String id;
            private String create_by;
            private String create_time;
            private String update_by;
            private String update_time;
            private String user_id;
            private boolean in_activity_class;
            private String activity_class_id;
            private String parent_class_id;
            private String parent_class_name;
            private String activity_id;
            private String apply_time;
            private String join_time;
            private String join_way;
            private boolean required;
            private String dic_learn_status;
            private String learn_status;
            private boolean learn_able;
            private String learned_module_id;
            private String learned_module_dic_type;
            private String learned_module_type_code;
            private String learned_module_name;
            private double progress_score;
            private double get_score;
            private double graduate_exam_rate;
            private boolean graduate_exam_passed;
            private String complete_time;
            private int total_visit_seconds;
            private String total_visit_duration;
            private int total_visit_times;
            private String first_visit_time;
            private String last_visit_time;
            private int credit_point;
            private int integral_point;
            private int sort_order;
            private int exam_times;
            private int self_taught;
            private boolean comment_show_flag;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreate_by() {
                return create_by;
            }

            public void setCreate_by(String create_by) {
                this.create_by = create_by;
            }

            public String getCreate_time() {
                return create_time;
            }

            public void setCreate_time(String create_time) {
                this.create_time = create_time;
            }

            public String getUpdate_by() {
                return update_by;
            }

            public void setUpdate_by(String update_by) {
                this.update_by = update_by;
            }

            public String getUpdate_time() {
                return update_time;
            }

            public void setUpdate_time(String update_time) {
                this.update_time = update_time;
            }

            public String getUser_id() {
                return user_id;
            }

            public void setUser_id(String user_id) {
                this.user_id = user_id;
            }

            public boolean isIn_activity_class() {
                return in_activity_class;
            }

            public void setIn_activity_class(boolean in_activity_class) {
                this.in_activity_class = in_activity_class;
            }

            public String getActivity_class_id() {
                return activity_class_id;
            }

            public void setActivity_class_id(String activity_class_id) {
                this.activity_class_id = activity_class_id;
            }

            public String getParent_class_id() {
                return parent_class_id;
            }

            public void setParent_class_id(String parent_class_id) {
                this.parent_class_id = parent_class_id;
            }

            public String getParent_class_name() {
                return parent_class_name;
            }

            public void setParent_class_name(String parent_class_name) {
                this.parent_class_name = parent_class_name;
            }

            public String getActivity_id() {
                return activity_id;
            }

            public void setActivity_id(String activity_id) {
                this.activity_id = activity_id;
            }

            public String getApply_time() {
                return apply_time;
            }

            public void setApply_time(String apply_time) {
                this.apply_time = apply_time;
            }

            public String getJoin_time() {
                return join_time;
            }

            public void setJoin_time(String join_time) {
                this.join_time = join_time;
            }

            public String getJoin_way() {
                return join_way;
            }

            public void setJoin_way(String join_way) {
                this.join_way = join_way;
            }

            public boolean isRequired() {
                return required;
            }

            public void setRequired(boolean required) {
                this.required = required;
            }

            public String getDic_learn_status() {
                return dic_learn_status;
            }

            public void setDic_learn_status(String dic_learn_status) {
                this.dic_learn_status = dic_learn_status;
            }

            public String getLearn_status() {
                return learn_status;
            }

            public void setLearn_status(String learn_status) {
                this.learn_status = learn_status;
            }

            public boolean isLearn_able() {
                return learn_able;
            }

            public void setLearn_able(boolean learn_able) {
                this.learn_able = learn_able;
            }

            public String getLearned_module_id() {
                return learned_module_id;
            }

            public void setLearned_module_id(String learned_module_id) {
                this.learned_module_id = learned_module_id;
            }

            public String getLearned_module_dic_type() {
                return learned_module_dic_type;
            }

            public void setLearned_module_dic_type(String learned_module_dic_type) {
                this.learned_module_dic_type = learned_module_dic_type;
            }

            public String getLearned_module_type_code() {
                return learned_module_type_code;
            }

            public void setLearned_module_type_code(String learned_module_type_code) {
                this.learned_module_type_code = learned_module_type_code;
            }

            public String getLearned_module_name() {
                return learned_module_name;
            }

            public void setLearned_module_name(String learned_module_name) {
                this.learned_module_name = learned_module_name;
            }

            public double getProgress_score() {
                return progress_score;
            }

            public void setProgress_score(double progress_score) {
                this.progress_score = progress_score;
            }

            public double getGet_score() {
                return get_score;
            }

            public void setGet_score(double get_score) {
                this.get_score = get_score;
            }

            public double getGraduate_exam_rate() {
                return graduate_exam_rate;
            }

            public void setGraduate_exam_rate(double graduate_exam_rate) {
                this.graduate_exam_rate = graduate_exam_rate;
            }

            public boolean isGraduate_exam_passed() {
                return graduate_exam_passed;
            }

            public void setGraduate_exam_passed(boolean graduate_exam_passed) {
                this.graduate_exam_passed = graduate_exam_passed;
            }

            public String getComplete_time() {
                return complete_time;
            }

            public void setComplete_time(String complete_time) {
                this.complete_time = complete_time;
            }

            public int getTotal_visit_seconds() {
                return total_visit_seconds;
            }

            public void setTotal_visit_seconds(int total_visit_seconds) {
                this.total_visit_seconds = total_visit_seconds;
            }

            public String getTotal_visit_duration() {
                return total_visit_duration;
            }

            public void setTotal_visit_duration(String total_visit_duration) {
                this.total_visit_duration = total_visit_duration;
            }

            public int getTotal_visit_times() {
                return total_visit_times;
            }

            public void setTotal_visit_times(int total_visit_times) {
                this.total_visit_times = total_visit_times;
            }

            public String getFirst_visit_time() {
                return first_visit_time;
            }

            public void setFirst_visit_time(String first_visit_time) {
                this.first_visit_time = first_visit_time;
            }

            public String getLast_visit_time() {
                return last_visit_time;
            }

            public void setLast_visit_time(String last_visit_time) {
                this.last_visit_time = last_visit_time;
            }

            public int getCredit_point() {
                return credit_point;
            }

            public void setCredit_point(int credit_point) {
                this.credit_point = credit_point;
            }

            public int getIntegral_point() {
                return integral_point;
            }

            public void setIntegral_point(int integral_point) {
                this.integral_point = integral_point;
            }

            public int getSort_order() {
                return sort_order;
            }

            public void setSort_order(int sort_order) {
                this.sort_order = sort_order;
            }

            public int getExam_times() {
                return exam_times;
            }

            public void setExam_times(int exam_times) {
                this.exam_times = exam_times;
            }

            public int getSelf_taught() {
                return self_taught;
            }

            public void setSelf_taught(int self_taught) {
                this.self_taught = self_taught;
            }

            public boolean isComment_show_flag() {
                return comment_show_flag;
            }

            public void setComment_show_flag(boolean comment_show_flag) {
                this.comment_show_flag = comment_show_flag;
            }
        }

        public static class CatalogsDTO {
            private String id;
            private String full_path;
            private String name;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getFull_path() {
                return full_path;
            }

            public void setFull_path(String full_path) {
                this.full_path = full_path;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }
        }

        public static class TeachersDTO {
            private String id;
            private String user_id;
            private boolean is_recommend;
            private int sort_order;
            private int course_pay;
            private boolean is_external;
            private boolean enabled;
            private String activity_id;
            private String teacher_name;
            private boolean deleteAble;
            private boolean is_focus;
            private int upvote_amount;
            private int total_comment_number;
            private int resource_num;
            private int resource_ref_num;
            private int certify_course_num;
            private int register_num;
            private double teaching_avg_score;
            private double all_teaching_time;
            private double total_learn_seconds;
            private boolean is_certified;
            private boolean is_current_site;
            private boolean resource_certified;
            private boolean myLike;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getUser_id() {
                return user_id;
            }

            public void setUser_id(String user_id) {
                this.user_id = user_id;
            }

            public boolean isIs_recommend() {
                return is_recommend;
            }

            public void setIs_recommend(boolean is_recommend) {
                this.is_recommend = is_recommend;
            }

            public int getSort_order() {
                return sort_order;
            }

            public void setSort_order(int sort_order) {
                this.sort_order = sort_order;
            }

            public int getCourse_pay() {
                return course_pay;
            }

            public void setCourse_pay(int course_pay) {
                this.course_pay = course_pay;
            }

            public boolean isIs_external() {
                return is_external;
            }

            public void setIs_external(boolean is_external) {
                this.is_external = is_external;
            }

            public boolean isEnabled() {
                return enabled;
            }

            public void setEnabled(boolean enabled) {
                this.enabled = enabled;
            }

            public String getActivity_id() {
                return activity_id;
            }

            public void setActivity_id(String activity_id) {
                this.activity_id = activity_id;
            }

            public String getTeacher_name() {
                return teacher_name;
            }

            public void setTeacher_name(String teacher_name) {
                this.teacher_name = teacher_name;
            }

            public boolean isDeleteAble() {
                return deleteAble;
            }

            public void setDeleteAble(boolean deleteAble) {
                this.deleteAble = deleteAble;
            }

            public boolean isIs_focus() {
                return is_focus;
            }

            public void setIs_focus(boolean is_focus) {
                this.is_focus = is_focus;
            }

            public int getUpvote_amount() {
                return upvote_amount;
            }

            public void setUpvote_amount(int upvote_amount) {
                this.upvote_amount = upvote_amount;
            }

            public int getTotal_comment_number() {
                return total_comment_number;
            }

            public void setTotal_comment_number(int total_comment_number) {
                this.total_comment_number = total_comment_number;
            }

            public int getResource_num() {
                return resource_num;
            }

            public void setResource_num(int resource_num) {
                this.resource_num = resource_num;
            }

            public int getResource_ref_num() {
                return resource_ref_num;
            }

            public void setResource_ref_num(int resource_ref_num) {
                this.resource_ref_num = resource_ref_num;
            }

            public int getCertify_course_num() {
                return certify_course_num;
            }

            public void setCertify_course_num(int certify_course_num) {
                this.certify_course_num = certify_course_num;
            }

            public int getRegister_num() {
                return register_num;
            }

            public void setRegister_num(int register_num) {
                this.register_num = register_num;
            }

            public double getTeaching_avg_score() {
                return teaching_avg_score;
            }

            public void setTeaching_avg_score(double teaching_avg_score) {
                this.teaching_avg_score = teaching_avg_score;
            }

            public double getAll_teaching_time() {
                return all_teaching_time;
            }

            public void setAll_teaching_time(double all_teaching_time) {
                this.all_teaching_time = all_teaching_time;
            }

            public double getTotal_learn_seconds() {
                return total_learn_seconds;
            }

            public void setTotal_learn_seconds(double total_learn_seconds) {
                this.total_learn_seconds = total_learn_seconds;
            }

            public boolean isIs_certified() {
                return is_certified;
            }

            public void setIs_certified(boolean is_certified) {
                this.is_certified = is_certified;
            }

            public boolean isIs_current_site() {
                return is_current_site;
            }

            public void setIs_current_site(boolean is_current_site) {
                this.is_current_site = is_current_site;
            }

            public boolean isResource_certified() {
                return resource_certified;
            }

            public void setResource_certified(boolean resource_certified) {
                this.resource_certified = resource_certified;
            }

            public boolean isMyLike() {
                return myLike;
            }

            public void setMyLike(boolean myLike) {
                this.myLike = myLike;
            }
        }
    }
}
